Cisco Firepower Threat Defense Virtual (FTDv) Cryptographic Module

Certificate details

Certificate ID #3343
Status historical
Historical reason SP 800-56Arev3 transition
Validation dates 17.12.2018
Standard FIPS 140-2
Security level 1
Type Software
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode. When installed, initialized and configured as specified in Section 3 of the Security Policy
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Physical Security: N/A
  • Design Assurance: Level 2
  • Mitigation of Other Attacks: N/A
Description Cisco Firepower Threat Defense (FTD) solution offers the combination of the industry's most deployed stateful firewall with a comprehensive range of next-generation network security services, intrusion prevention system (IPS), content security and secure unified communications. All running in a virtual environment.
Tested configurations
  • FXOS version 2 on VMware ESXi 5.5 running on Cisco C220 M4 with Intel Xeon E5
  • FXOS version 2 on VMware ESXi 6.0 running on Cisco C220 M4 with Intel Xeon E5 (single-user mode)
Vendor Cisco Systems, Inc. http://www.cisco.com
Lab Gossamer Security Solutions
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES-256, AES, RC4, DES, Triple-DES, HMAC
Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, Diffie-Hellman, DH
Hash functions
SHA-512, MD5
Schemes
MAC
Protocols
SSHv2, SSH, SSL, TLSv1.2, TLS, IKEv2, IKE, IPsec, VPN
Randomness
DRBG
Elliptic Curves
P-256, P-384, P-521
Block cipher modes
CBC, GCM

Vendor
Cisco, Cisco Systems, Cisco Systems, Inc

Security level
Level 1, level 1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

No automatically derived data are available in this section.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3343,
  "dgst": "945ce179d4470c09",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "Triple-DES#2584",
        "DRBG#1828",
        "RSA#2703",
        "#1561",
        "#3329",
        "#1828",
        "#2703",
        "HMAC#3329",
        "#5008",
        "ECDSA#1277",
        "#1277",
        "#4074",
        "#2584",
        "SHS#4074",
        "CVL#1561",
        "AES#5008"
      ]
    },
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "-"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 45,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDH": {
            "ECDH": 4
          },
          "ECDSA": {
            "ECDSA": 19
          }
        },
        "FF": {
          "DH": {
            "DH": 11,
            "Diffie-Hellman": 21
          }
        },
        "RSA": {
          "RSA 2048": 5
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 2
        },
        "GCM": {
          "GCM": 5
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "IKE": {
          "IKE": 31,
          "IKEv2": 9
        },
        "IPsec": {
          "IPsec": 13
        },
        "SSH": {
          "SSH": 11,
          "SSHv2": 30
        },
        "TLS": {
          "SSL": {
            "SSL": 1
          },
          "TLS": {
            "TLS": 42,
            "TLSv1.2": 6
          }
        },
        "VPN": {
          "VPN": 6
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 5
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 12,
          "P-384": 8,
          "P-521": 8
        }
      },
      "eval_facility": {},
      "fips_cert_id": {
        "Cert": {
          "#1": 1,
          "#1561": 2
        }
      },
      "fips_certlike": {
        "Certlike": {
          "AES 128/192/256": 3,
          "AES-256": 3,
          "Certificate AES": 1,
          "Diffie-Hellman (CVL Cert. #1561": 2,
          "HMAC-SHA- 256/384": 2,
          "HMAC-SHA-1 160": 2,
          "HMAC-SHA1": 2,
          "RSA 2048": 5,
          "SHA-512": 1,
          "SHA-512 2048": 1
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 3,
          "level 1": 1
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 6
          }
        },
        "SHA": {
          "SHA2": {
            "SHA-512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 51
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 2,
          "FIPS 140-2": 15,
          "FIPS 186-4": 4,
          "FIPS PUB 140-2": 1
        },
        "NIST": {
          "SP 800-52": 1,
          "SP 800-90A": 5
        },
        "RFC": {
          "RFC 4253": 1,
          "RFC 5246": 1,
          "RFC 5288": 1,
          "RFC 6071": 1,
          "RFC 7296": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 12,
            "AES-256": 3
          },
          "RC": {
            "RC4": 3
          }
        },
        "DES": {
          "3DES": {
            "Triple-DES": 10
          },
          "DES": {
            "DES": 5
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 4
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Cisco": {
          "Cisco": 15,
          "Cisco Systems": 2,
          "Cisco Systems, Inc": 14
        }
      },
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "Triple-DES#2584",
        "DRBG#1828",
        "RSA#2703",
        "HMAC#3329",
        "ECDSA#1277",
        "SHS#4074",
        "CVL#1561",
        "AES#5008"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#1561",
        "#3329",
        "#1828",
        "#2703",
        "#5008",
        "#1277",
        "#2584",
        "#4074"
      ]
    },
    "policy_metadata": {
      "/Author": "RichardWang",
      "/CreationDate": "D:20181213163106-05\u002700\u0027",
      "/ModDate": "D:20181213163106-05\u002700\u0027",
      "/Producer": "Microsoft: Print To PDF",
      "/Title": "Microsoft Word - Cisco FTDv Cryptographic Module Security Policy.docx",
      "pdf_file_size_bytes": 1397779,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 17
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "491756d9f30b1e9ce56ac04c21bf660ef8713ef8a426f72c0dbd09065243edf3",
      "source_hash": "030dd08cfb07d8afb13bde10a0c816ad1ebd04f92fb2bced5ac9e60ca08bd0a6",
      "txt_hash": "d2ad08c7b9e1a202e6b4e5fe3724b65bb9dea464bf6d1efbd3ec1e662bd33c98"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode. When installed, initialized and configured as specified in Section 3 of the Security Policy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/Dec2018Cert.pdf",
    "date_sunset": null,
    "description": "Cisco Firepower Threat Defense (FTD) solution offers the combination of the industry\u0027s most deployed stateful firewall with a comprehensive range of next-generation network security services, intrusion prevention system (IPS), content security and secure unified communications. All running in a virtual environment.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Physical Security: N/A",
      "Design Assurance: Level 2",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": null,
    "historical_reason": "SP 800-56Arev3 transition",
    "hw_versions": null,
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Cisco Firepower Threat Defense Virtual (FTDv) Cryptographic Module",
    "module_type": "Software",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": "6.2",
    "tested_conf": [
      "FXOS version 2 on VMware ESXi 5.5 running on Cisco C220 M4 with Intel Xeon E5",
      "FXOS version 2 on VMware ESXi 6.0 running on Cisco C220 M4 with Intel Xeon E5 (single-user mode)"
    ],
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2018-12-17",
        "lab": "Gossamer Security Solutions",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Cisco Systems, Inc.",
    "vendor_url": "http://www.cisco.com"
  }
}